# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/k8, last modified Tue Jun  3 09:23:17 2025
# ------------------------------------------------

package:
  name: k8
  version: '1.2'
source:
  sha256: 4157aa86066eb0a7874de194893c4544ac772d009cc1148377c9c346f9fc6d07
  url: https://github.com/attractivechaos/k8/archive/refs/tags/v1.2.tar.gz
build:
  number: '6'
  run_exports:
    - k8 >=1.2,<2.0a0
  string: h2ec61ea_6
requirements:
  build:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cctools_osx-64 1010.6 hd19c6af_6
    - clang 18.1.8 default_h576c50e_10
    - clang-18 18.1.8 default_h3571c67_10
    - clang-format 18.1.8 default_h3571c67_10
    - clang-format-18 18.1.8 default_h3571c67_10
    - clang-tools 18.1.8 default_h3571c67_10
    - clang_impl_osx-64 18.1.8 h6a44ed1_25
    - clang_osx-64 18.1.8 h7e5c614_25
    - clangdev 18.1.8 default_h3571c67_10
    - clangxx 18.1.8 default_heb2e8d1_10
    - clangxx_impl_osx-64 18.1.8 h4b7810f_25
    - clangxx_osx-64 18.1.8 h7e5c614_25
    - compiler-rt 18.1.8 h1020d70_1
    - compiler-rt_osx-64 18.1.8 hf2b8a54_1
    - icu 75.1 h120a0e1_0
    - ld64_osx-64 951.9 h33512f0_6
    - libasprintf 0.24.1 h27064b9_0
    - libclang 18.1.8 default_h3571c67_10
    - libclang-cpp 18.1.8 default_h3571c67_10
    - libclang-cpp18.1 18.1.8 default_h3571c67_10
    - libclang13 18.1.8 default_hf2b7afa_10
    - libcxx 20.1.6 hf95d169_0
    - libcxx-devel 18.1.8 h7c275be_8
    - libexpat 2.7.0 h240833e_0
    - libffi 3.4.6 h281671d_1
    - libgettextpo 0.24.1 h27064b9_0
    - libiconv 1.18 h4b5e92a_1
    - libidn2 2.3.8 he8ff88c_0
    - libintl 0.24.1 h27064b9_0
    - libllvm18 18.1.8 default_h3571c67_5
    - liblzma 5.8.1 hd471939_1
    - libmpdec 4.0.0 h6e16a3a_0
    - libsqlite 3.50.0 hdb6dae5_0
    - libunistring 0.9.10 h0d85af4_0
    - libxml2 2.14.3 h8c082e5_0
    - libzlib 1.3.1 hd23fc13_2
    - llvm-tools 18.1.8 default_h3571c67_5
    - llvm-tools-18 18.1.8 default_h3571c67_5
    - llvmdev 18.1.8 default_h3571c67_5
    - make 4.4.1 h00291cd_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.5.0 hc426f3f_1
    - python 3.13.3 h534c281_101_cp313
    - python_abi 3.13 7_cp313
    - readline 8.2 h7cca4af_2
    - sed 4.9 hf9b2955_0
    - setuptools 80.9.0 pyhff2d567_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1300.6.5 h390ca13_0
    - tar 1.34 hcb2f6ea_1
    - tk 8.6.13 hf689a15_2
    - tzdata 2025b h78e105d_0
    - wget 1.21.4 hca547e6_0
    - zlib 1.3.1 hd23fc13_2
    - zstd 1.5.7 h8210216_2
  host:
    - libcxx 20.1.6 hf95d169_0
    - libzlib 1.3.1 hd23fc13_2
    - zlib 1.3.1 hd23fc13_2
  run:
    - libcxx >=18
    - libzlib >=1.3.1,<2.0a0
test:
  commands:
    - k8 -v | grep '^k8'
about:
  dev_url: https://github.com/attractivechaos/k8
  doc_url: https://github.com/attractivechaos/k8/blob/v1.2/README.md
  home: https://github.com/attractivechaos/k8
  license: MIT
  license_family: MIT
  license_file: LICENSE.txt
  summary: Lightweight JavaScript shell based on Google's V8 JavaScript engine.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
